sane-find-scanner(1)

NUME
sane-find-scanner - găsește scanere SCSI și USB și fișierele lor de dispozitiv

SINOPSIS
sane-find-scanner [-?|-h|--help] [-v] [-q] [-p] [-f] [-F nume-fișier] [nume-dispozitiv]

DESCRIERE
sane-find-scanner este un instrument în linie de comandă pentru a găsi scanere SCSI și USB și pentru a determina fișierele de dispozitiv UNIX ale acestora. Scopul său principal este de a se asigura că scanerele pot fi detectate de către controlorii SANE de dispozitive.

Pentru scanerele SCSI, se verifică fișierele de dispozitive SCSI generice implicite (de exemplu, /dev/sg0) și /dev/scanner. Testul se face prin trimiterea unei comenzi de interogare SCSI și căutarea unui tip de dispozitiv de tip „scaner” sau „procesor” (unele scanere HP vechi par să trimită „procesor”). Astfel, sane-find-scanner va găsi orice scaner SCSI conectat la aceste fișiere de dispozitiv implicite, chiar dacă nu este admis de niciun controlor SANE.

Pentru scanerele USB, mai întâi se testează fișierele de dispozitiv de scanare din nucleul USB (de exemplu, /dev/usb/scanner0, /dev/usb/scanner și /dev/usbscanner). Fișierele sunt deschise și se determină ID-urile fabricantului și dispozitivului, dacă sistemul de operare acceptă această funcție. În prezent, scanerele USB sunt găsite în acest mod numai dacă sunt acceptate de modulul de scanare Linux sau de controlorul «uscanner» FreeBSD sau OpenBSD. După acest test, sane-find-scanner încearcă să scaneze dispozitivele USB găsite de biblioteca USB „libusb” (dacă este disponibilă). Nu există o clasă USB specială pentru scanere, astfel încât euristica utilizată pentru a distinge scanerele de alte dispozitive USB nu este perfectă. sane-find-scanner încearcă, de asemenea, să afle tipul de cip USB utilizat în scaner. În cazul în care este detectat, acesta va fi imprimat după ID-ul fabricantului și cel al produsului. sane-find-scanner va găsi chiar și scanere USB care nu sunt acceptate de niciun controlor SANE.

sane-find-scanner nu va găsi majoritatea scanerelor cu port paralel sau scanerele conectate la porturi proprietare. Unele scanere cu port paralel pot fi detectate de sane-find-scanner -p . La momentul redactării acestui document, acesta va detecta numai scanerele cu port paralel „Mustek”.

OPȚIUNI

-?, -h, --help
    Afișează un scurt mesaj de utilizare.

-v  Ieșire detaliată. Dacă este utilizată o singură dată, sane-find-scanner afișează numele fiecărui dispozitiv și rezultatul testului. Dacă este utilizată de două ori, sunt afișate, de asemenea, informații despre interogarea SCSI și descriptorii dispozitivelor USB.

-q  Lucrează silențios. Afișează doar dispozitivele, fără comentarii.

-p  Testează scanerele cu port paralel.

-f  Forțează deschiderea tuturor dispozitivelor date în mod explicit ca dispozitive SCSI și USB. Acest lucru este util în cazul în care sane-find-scanner nu determină corect tipul de dispozitiv.

-F nume-fișier
    nume-fișier este un fișier care conține descriptori USB în formatul „/proc/bus/usb/devices”, așa cum este utilizat de Linux. sane-find-scanner încearcă să identifice chipset-urile tuturor scanerelor USB găsite într-un astfel de fișier. Această opțiune este utilă pentru dezvoltatori atunci când ieșirea din cat /proc/bus/usb/devices este disponibilă, dar scanerul în sine nu este.

nume-dispozitiv
    Testează fișierul de dispozitiv „nume-dispozitiv”. Nu sunt verificate alte dispozitive dacă se indică nume-dispozitiv.

EXEMPLU
sane-find-scanner -v
Verifică toate dispozitivele SCSI și USB pentru scanerele disponibile și afișează o linie pentru fiecare fișier de dispozitiv.

sane-find-scanner /dev/scanner
Caută un scaner (SCSI) numai la /dev/scanner și afișează rezultatul.

sane-find-scanner -p
Sondează pentru scanerele cu port paralel.

CONSULTAȚI ȘI
sane(7), sane-scsi(5), sane-usb(5), scanimage(1), xscanimage(1), xsane(1), sane-"backendname"(5)

AUTOR
Oliver Rauch, Henning Meier-Geinitz și alții

PLATFORME ACCEPTATE
Suportul USB este limitat la Linux (nucleu, libusb), FreeBSD (nucleu, libusb), NetBSD (libusb), OpenBSD (nucleu, libusb). Detectarea fabricantului și a ID-urilor dispozitivelor funcționează numai cu Linux sau „libusb”.

Suportul SCSI este disponibil pe Irix, EMX, Linux, Next, AIX, Solaris, FreeBSD, NetBSD, OpenBSD și HP-UX.

ERORI
Nu există încă suport pentru majoritatea scanerelor cu port paralel.
Detectarea chipseturilor USB este limitată la câteva chipseturi.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.